--【导例9.10】 [教学成绩管理系统]中[系部信息表][编号]字段修改触发器。
create  trigger T修改系部信息表记录
on 系部信息表
after update
as
if update(编号)
begin
  set nocount off
  declare @编号 char(4), @编号_ char(4)
  select @编号=编号 from deleted
  select @编号_=编号 from inserted

  if exists(select * from 学院信息表 where 编号=left(@编号_,2))
     begin
        update 专业信息表 set 院系编号=@编号_ where @编号=院系编号
        update 课程信息表 set 院系编号=@编号_ where @编号=院系编号
        update 教研室信息表 set 编号=@编号_+substring(编号,5,2) 
 		where @编号=left(编号,4)
        update 教师信息表 set 教研室编号=@编号_+substring(编号,5,2)
 		where @编号=left(教研室编号,4)
     end
  else
     begin
     	raiserror ( '非法编号, 不可修改除!', 16, 1)
     	rollback transaction
     end
end
